# PulpDebClient::DebAptRepository

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_labels** | **Hash&lt;String, String&gt;** |  | [optional] 
**name** | **String** | A unique name for this repository. | 
**description** | **String** | An optional description. | [optional] 
**retain_repo_versions** | **Integer** | Retain X versions of the repository. Default is null which retains all versions. | [optional] 
**remote** | **String** | An optional remote to use by default when syncing. | [optional] 
**publish_upstream_release_fields** | **Boolean** | Previously, pulp_deb only synced the Release file fields codename and suite, now version, origin, label, and description are also synced. Setting this setting to False will make Pulp revert to the old behaviour of using it&#39;s own internal values for the new fields during publish. This is primarily intended to avoid a sudden change in behaviour for existing Pulp repositories, since many Release file field changes need to be accepted by hosts consuming the published repository. The default for new repositories is True. | [optional] 
**signing_service** | **String** | A reference to an associated signing service. Used if AptPublication.signing_service is not set | [optional] 
**signing_service_release_overrides** | **Hash&lt;String, String&gt;** | A dictionary of Release distributions and the Signing Service URLs they should use.Example: {\&quot;bionic\&quot;: \&quot;/pulp/api/v3/signing-services/433a1f70-c589-4413-a803-c50b842ea9b5/\&quot;} | [optional] 

## Code Sample

```ruby
require 'PulpDebClient'

instance = PulpDebClient::DebAptRepository.new(pulp_labels: null,
                                 name: null,
                                 description: null,
                                 retain_repo_versions: null,
                                 remote: null,
                                 publish_upstream_release_fields: null,
                                 signing_service: null,
                                 signing_service_release_overrides: null)
```


