=begin
#Pulp 3 API

#Fetch, Upload, Organize, and Distribute Software Packages

The version of the OpenAPI document: v3
Contact: pulp-list@redhat.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for PulpDebClient::ContentGenericContentsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'ContentGenericContentsApi' do
  before do
    # run before each test
    @api_instance = PulpDebClient::ContentGenericContentsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ContentGenericContentsApi' do
    it 'should create an instance of ContentGenericContentsApi' do
      expect(@api_instance).to be_instance_of(PulpDebClient::ContentGenericContentsApi)
    end
  end

  # unit tests for create
  # Create a generic content
  # Trigger an asynchronous task to create content,optionally create new repository version.
  # @param relative_path Path where the artifact is located relative to distributions base_path
  # @param [Hash] opts the optional parameters
  # @option opts [String] :repository A URI of a repository the new content unit should be associated with.
  # @option opts [String] :artifact Artifact file representing the physical content
  # @option opts [File] :file An uploaded file that may be turned into the content unit.
  # @option opts [String] :upload An uncommitted upload that may be turned into the content unit.
  # @return [AsyncOperationResponse]
  describe 'create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list
  # List generic contents
  # GenericContent is a catch all category for storing files not covered by any other type.  Associated artifacts: Exactly one arbitrary file that does not match any other type.  This is needed to store arbitrary files for use with the verbatim publisher. If you are not using the verbatim publisher, you may ignore this type.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @option opts [Array<String>] :ordering Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;upstream_id&#x60; - Upstream id * &#x60;-upstream_id&#x60; - Upstream id (descending) * &#x60;timestamp_of_interest&#x60; - Timestamp of interest * &#x60;-timestamp_of_interest&#x60; - Timestamp of interest (descending) * &#x60;relative_path&#x60; - Relative path * &#x60;-relative_path&#x60; - Relative path (descending) * &#x60;sha256&#x60; - Sha256 * &#x60;-sha256&#x60; - Sha256 (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending)
  # @option opts [Float] :orphaned_for Minutes Content has been orphaned for. -1 uses ORPHAN_PROTECTION_TIME.
  # @option opts [Array<String>] :pulp_href__in Multiple values may be separated by commas.
  # @option opts [Array<String>] :pulp_id__in Multiple values may be separated by commas.
  # @option opts [String] :q 
  # @option opts [String] :relative_path Filter results where relative_path matches value
  # @option opts [String] :repository_version Repository Version referenced by HREF
  # @option opts [String] :repository_version_added Repository Version referenced by HREF
  # @option opts [String] :repository_version_removed Repository Version referenced by HREF
  # @option opts [String] :sha256 Filter results where sha256 matches value
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [PaginateddebGenericContentResponseList]
  describe 'list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for read
  # Inspect a generic content
  # GenericContent is a catch all category for storing files not covered by any other type.  Associated artifacts: Exactly one arbitrary file that does not match any other type.  This is needed to store arbitrary files for use with the verbatim publisher. If you are not using the verbatim publisher, you may ignore this type.
  # @param deb_generic_content_href 
  # @param [Hash] opts the optional parameters
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [DebGenericContentResponse]
  describe 'read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
