=begin
#Pulp 3 API

#Fetch, Upload, Organize, and Distribute Software Packages

The version of the OpenAPI document: v3
Contact: pulp-list@redhat.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for PulpDebClient::ContentPackagesApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'ContentPackagesApi' do
  before do
    # run before each test
    @api_instance = PulpDebClient::ContentPackagesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ContentPackagesApi' do
    it 'should create an instance of ContentPackagesApi' do
      expect(@api_instance).to be_instance_of(PulpDebClient::ContentPackagesApi)
    end
  end

  # unit tests for create
  # Create a package
  # Trigger an asynchronous task to create content,optionally create new repository version.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :repository A URI of a repository the new content unit should be associated with.
  # @option opts [String] :artifact Artifact file representing the physical content
  # @option opts [String] :relative_path Path where the artifact is located relative to distributions base_path
  # @option opts [File] :file An uploaded file that may be turned into the content unit.
  # @option opts [String] :upload An uncommitted upload that may be turned into the content unit.
  # @option opts [String] :distribution Name of the distribution.
  # @option opts [String] :component Name of the component.
  # @return [AsyncOperationResponse]
  describe 'create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list
  # List packages
  # A Package represents a &#39;.deb&#39; binary package.  Associated artifacts: Exactly one &#39;.deb&#39; package file.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :architecture Filter results where architecture matches value
  # @option opts [String] :auto_built_package Filter results where auto_built_package matches value
  # @option opts [Boolean] :build_essential Filter results where build_essential matches value  * &#x60;True&#x60; - yes * &#x60;False&#x60; - no
  # @option opts [String] :built_using Filter results where built_using matches value
  # @option opts [Boolean] :essential Filter results where essential matches value  * &#x60;True&#x60; - yes * &#x60;False&#x60; - no
  # @option opts [Integer] :installed_size Filter results where installed_size matches value
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [String] :maintainer Filter results where maintainer matches value
  # @option opts [String] :multi_arch Filter results where multi_arch matches value  * &#x60;no&#x60; - no * &#x60;same&#x60; - same * &#x60;foreign&#x60; - foreign * &#x60;allowed&#x60; - allowed
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @option opts [Array<String>] :ordering Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;upstream_id&#x60; - Upstream id * &#x60;-upstream_id&#x60; - Upstream id (descending) * &#x60;timestamp_of_interest&#x60; - Timestamp of interest * &#x60;-timestamp_of_interest&#x60; - Timestamp of interest (descending) * &#x60;package&#x60; - Package * &#x60;-package&#x60; - Package (descending) * &#x60;source&#x60; - Source * &#x60;-source&#x60; - Source (descending) * &#x60;version&#x60; - Version * &#x60;-version&#x60; - Version (descending) * &#x60;architecture&#x60; - Architecture * &#x60;-architecture&#x60; - Architecture (descending) * &#x60;section&#x60; - Section * &#x60;-section&#x60; - Section (descending) * &#x60;priority&#x60; - Priority * &#x60;-priority&#x60; - Priority (descending) * &#x60;origin&#x60; - Origin * &#x60;-origin&#x60; - Origin (descending) * &#x60;tag&#x60; - Tag * &#x60;-tag&#x60; - Tag (descending) * &#x60;bugs&#x60; - Bugs * &#x60;-bugs&#x60; - Bugs (descending) * &#x60;essential&#x60; - Essential * &#x60;-essential&#x60; - Essential (descending) * &#x60;build_essential&#x60; - Build essential * &#x60;-build_essential&#x60; - Build essential (descending) * &#x60;installed_size&#x60; - Installed size * &#x60;-installed_size&#x60; - Installed size (descending) * &#x60;maintainer&#x60; - Maintainer * &#x60;-maintainer&#x60; - Maintainer (descending) * &#x60;original_maintainer&#x60; - Original maintainer * &#x60;-original_maintainer&#x60; - Original maintainer (descending) * &#x60;description&#x60; - Description * &#x60;-description&#x60; - Description (descending) * &#x60;description_md5&#x60; - Description md5 * &#x60;-description_md5&#x60; - Description md5 (descending) * &#x60;homepage&#x60; - Homepage * &#x60;-homepage&#x60; - Homepage (descending) * &#x60;built_using&#x60; - Built using * &#x60;-built_using&#x60; - Built using (descending) * &#x60;auto_built_package&#x60; - Auto built package * &#x60;-auto_built_package&#x60; - Auto built package (descending) * &#x60;multi_arch&#x60; - Multi arch * &#x60;-multi_arch&#x60; - Multi arch (descending) * &#x60;breaks&#x60; - Breaks * &#x60;-breaks&#x60; - Breaks (descending) * &#x60;conflicts&#x60; - Conflicts * &#x60;-conflicts&#x60; - Conflicts (descending) * &#x60;depends&#x60; - Depends * &#x60;-depends&#x60; - Depends (descending) * &#x60;recommends&#x60; - Recommends * &#x60;-recommends&#x60; - Recommends (descending) * &#x60;suggests&#x60; - Suggests * &#x60;-suggests&#x60; - Suggests (descending) * &#x60;enhances&#x60; - Enhances * &#x60;-enhances&#x60; - Enhances (descending) * &#x60;pre_depends&#x60; - Pre depends * &#x60;-pre_depends&#x60; - Pre depends (descending) * &#x60;provides&#x60; - Provides * &#x60;-provides&#x60; - Provides (descending) * &#x60;replaces&#x60; - Replaces * &#x60;-replaces&#x60; - Replaces (descending) * &#x60;relative_path&#x60; - Relative path * &#x60;-relative_path&#x60; - Relative path (descending) * &#x60;sha256&#x60; - Sha256 * &#x60;-sha256&#x60; - Sha256 (descending) * &#x60;custom_fields&#x60; - Custom fields * &#x60;-custom_fields&#x60; - Custom fields (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending)
  # @option opts [String] :origin Filter results where origin matches value
  # @option opts [String] :original_maintainer Filter results where original_maintainer matches value
  # @option opts [Float] :orphaned_for Minutes Content has been orphaned for. -1 uses ORPHAN_PROTECTION_TIME.
  # @option opts [String] :package Filter results where package matches value
  # @option opts [String] :package__contains Filter results where package contains value
  # @option opts [String] :package__icontains Filter results where package contains value
  # @option opts [String] :package__iexact Filter results where package matches value
  # @option opts [Array<String>] :package__in Filter results where package is in a comma-separated list of values
  # @option opts [String] :package__iregex Filter results where package matches regex value
  # @option opts [String] :package__istartswith Filter results where package starts with value
  # @option opts [String] :package__regex Filter results where package matches regex value
  # @option opts [String] :package__startswith Filter results where package starts with value
  # @option opts [String] :priority Filter results where priority matches value
  # @option opts [Array<String>] :pulp_href__in Multiple values may be separated by commas.
  # @option opts [Array<String>] :pulp_id__in Multiple values may be separated by commas.
  # @option opts [String] :q 
  # @option opts [String] :relative_path Filter results where relative_path matches value
  # @option opts [String] :release      Must be a comma-separated string: \&quot;release_href,repository_or_repository_version_href\&quot;     release_href: Filter results where Package in Release     repository_or_repository_version_href: The RepositoryVersion href to filter by, or Repository         href (assume latest version)     
  # @option opts [String] :release_component      Must be a comma-separated string: \&quot;release_component_href,repository_or_repository_version_href\&quot;     release_component_href: Filter results where Package in ReleaseComponent     repository_or_repository_version_href: The RepositoryVersion href to filter by, or Repository         href (assume latest version)     
  # @option opts [String] :repository_version Repository Version referenced by HREF
  # @option opts [String] :repository_version_added Repository Version referenced by HREF
  # @option opts [String] :repository_version_removed Repository Version referenced by HREF
  # @option opts [String] :section Filter results where section matches value
  # @option opts [String] :sha256 Filter results where sha256 matches value
  # @option opts [String] :source Filter results where source matches value
  # @option opts [String] :tag Filter results where tag matches value
  # @option opts [String] :version Filter results where version matches value
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [PaginateddebPackageResponseList]
  describe 'list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for read
  # Inspect a package
  # A Package represents a &#39;.deb&#39; binary package.  Associated artifacts: Exactly one &#39;.deb&#39; package file.
  # @param deb_package_href 
  # @param [Hash] opts the optional parameters
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [DebPackageResponse]
  describe 'read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
