=begin
#Pulp 3 API

#Fetch, Upload, Organize, and Distribute Software Packages

The version of the OpenAPI document: v3
Contact: pulp-list@redhat.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for PulpDebClient::DistributionsAptApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'DistributionsAptApi' do
  before do
    # run before each test
    @api_instance = PulpDebClient::DistributionsAptApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of DistributionsAptApi' do
    it 'should create an instance of DistributionsAptApi' do
      expect(@api_instance).to be_instance_of(PulpDebClient::DistributionsAptApi)
    end
  end

  # unit tests for create
  # Create an apt distribution
  # Trigger an asynchronous create task
  # @param deb_apt_distribution 
  # @param [Hash] opts the optional parameters
  # @return [AsyncOperationResponse]
  describe 'create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete
  # Delete an apt distribution
  # Trigger an asynchronous delete task
  # @param deb_apt_distribution_href 
  # @param [Hash] opts the optional parameters
  # @return [AsyncOperationResponse]
  describe 'delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list
  # List apt distributions
  # An AptDistribution is just an AptPublication made available via the content app.  Creating an AptDistribution is a comparatively quick action. This way Pulp users may take as much time as is needed to prepare a VerbatimPublication or AptPublication, and then control the exact moment when that publication is made available.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :base_path Filter results where base_path matches value
  # @option opts [String] :base_path__contains Filter results where base_path contains value
  # @option opts [String] :base_path__icontains Filter results where base_path contains value
  # @option opts [Array<String>] :base_path__in Filter results where base_path is in a comma-separated list of values
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [String] :name Filter results where name matches value
  # @option opts [String] :name__contains Filter results where name contains value
  # @option opts [String] :name__icontains Filter results where name contains value
  # @option opts [String] :name__iexact Filter results where name matches value
  # @option opts [Array<String>] :name__in Filter results where name is in a comma-separated list of values
  # @option opts [String] :name__iregex Filter results where name matches regex value
  # @option opts [String] :name__istartswith Filter results where name starts with value
  # @option opts [String] :name__regex Filter results where name matches regex value
  # @option opts [String] :name__startswith Filter results where name starts with value
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @option opts [Array<String>] :ordering Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;name&#x60; - Name * &#x60;-name&#x60; - Name (descending) * &#x60;pulp_labels&#x60; - Pulp labels * &#x60;-pulp_labels&#x60; - Pulp labels (descending) * &#x60;base_path&#x60; - Base path * &#x60;-base_path&#x60; - Base path (descending) * &#x60;hidden&#x60; - Hidden * &#x60;-hidden&#x60; - Hidden (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending)
  # @option opts [Array<String>] :pulp_href__in Multiple values may be separated by commas.
  # @option opts [Array<String>] :pulp_id__in Multiple values may be separated by commas.
  # @option opts [String] :pulp_label_select Filter labels by search string
  # @option opts [String] :q 
  # @option opts [String] :repository Filter results where repository matches value
  # @option opts [Array<String>] :repository__in Filter results where repository is in a comma-separated list of values
  # @option opts [String] :with_content Filter distributions based on the content served by them
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [PaginateddebAptDistributionResponseList]
  describe 'list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for partial_update
  # Update an apt distribution
  # Trigger an asynchronous partial update task
  # @param deb_apt_distribution_href 
  # @param patcheddeb_apt_distribution 
  # @param [Hash] opts the optional parameters
  # @return [AsyncOperationResponse]
  describe 'partial_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for read
  # Inspect an apt distribution
  # An AptDistribution is just an AptPublication made available via the content app.  Creating an AptDistribution is a comparatively quick action. This way Pulp users may take as much time as is needed to prepare a VerbatimPublication or AptPublication, and then control the exact moment when that publication is made available.
  # @param deb_apt_distribution_href 
  # @param [Hash] opts the optional parameters
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [DebAptDistributionResponse]
  describe 'read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for set_label
  # Set a label
  # Set a single pulp_label on the object to a specific value or null.
  # @param deb_apt_distribution_href 
  # @param set_label 
  # @param [Hash] opts the optional parameters
  # @return [SetLabelResponse]
  describe 'set_label test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for unset_label
  # Unset a label
  # Unset a single pulp_label on the object.
  # @param deb_apt_distribution_href 
  # @param unset_label 
  # @param [Hash] opts the optional parameters
  # @return [UnsetLabelResponse]
  describe 'unset_label test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update
  # Update an apt distribution
  # Trigger an asynchronous update task
  # @param deb_apt_distribution_href 
  # @param deb_apt_distribution 
  # @param [Hash] opts the optional parameters
  # @return [AsyncOperationResponse]
  describe 'update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
